Subject: RE: [eap] [Issue 297] Review of Identity Selection -12

From: "Adrangi, Farid" <[email-masked]>
Date: Mon, 25 Apr 2005 07:19:01 -0700

section 5.1 says that proxy must reply with Access-Reject or
Access-Challenge -- so why do you consider that additional proxy
behavior?  
Thanks,
Farid

> -----Original Message-----
> From: Bernard Aboba [mailto:[email-masked]] 
> Sent: Monday, April 18, 2005 12:10 PM
> To: Adrangi, Farid
> Cc: [email-masked]
> Subject: RE: [eap] [Issue 297] Review of Identity Selection -12
> 
> 
> > Looks reasonable to me.  Though I don't quite understand the last
> > comment:
> >
> > "Given that this specification changes AAA proxy behavior, I believe
> > that it should include "Updates: 2607" in the header."
> >
> > Could you please elaborate?
> 
> RFC 2607 is the document that specifies RADIUS proxy behavior 
> in roaming
> environments.  This document appears compatible with RFC 
> 2607, but it does
> specify additional proxy behavior (e.g. sending a Challenge 
> with a hint
> instead of Access-Reject).
> 
> 
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 25 Apr 2005 09:07:28 -0700 (PDT)

> Access-Challenge -- so why do you consider that additional proxy

RFC 2607 doesn't say what is contained in the Access-Reject (probably
because it was written before use of EAP became popular).  Back in those
days, an Access-Reject would probably just contain a Reply-Message
attribute with an error message, or maybe nothing at all.  However,
Reply-Message was deprecated in RFC 3579, so that won't work with EAP.

Therefore the portion of the document that refers to acceptable
proxy behavior in response to an unknown realm in an Access-Request
containing EAP-Message attributes probably should be followed by all
RADIUS proxies.  It's a clarification of RFC 2607 for use with EAP.
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap